import * as fs from 'fs-extra';
import * as path from 'path';

export async function MoveFilePathHelper(data) {
  const imagePath = data['qr_image'] ?? data['image_url'];
  const sourcePath = path.join(__dirname, '../../../../uploads/', imagePath);
  const movePath =
    'data/' +
    imagePath
      .split('/')
      .filter((item) => !['uploads', 'tmp'].includes(item))
      .join('/');
  const destinationPath = path.join(
    __dirname,
    '../../../../uploads/',
    movePath,
  );

  try {
    await fs.move(sourcePath, destinationPath);

    Object.assign(data, {
      image_url: movePath,
    });
  } catch (error) {
    console.log(`Failed! Error move file data`);
  }
}
